# addAll

abstract fun addAll(elements: Array<T>)

Adds zero or more elements to the property value.

#### Since

4.10

#### Parameters

elements

The elements to add

abstract fun addAll(elements: Iterable<out T>)

Adds zero or more elements to the property value.

The given iterable will be queried when the value of this property is queried.

#### Since

4.10

#### Parameters

elements

The elements to add.

abstract fun addAll(provider: Provider<out Iterable<out T>>)

Adds zero or more elements to the property value.

The given provider will be queried when the value of this property is queried. This property will have no value when the given provider has no value.

#### Parameters

provider

Provider of elements